import { z } from "zod";

export const bankInputSchema = z.object({
  code: z
    .string()
    .trim()
    .regex(/^\d{3}$/, "Kode bank harus 3 digit angka"),
  name: z.string().trim().min(1, "Nama bank wajib diisi").max(150),
  address: z.string().trim().max(1000).optional().or(z.literal("")),
  status: z.enum(["ACTIVE", "INACTIVE"]).default("ACTIVE")
});
